From d053719a405ceaea58bffc2f08580875322e4158 Mon Sep 17 00:00:00 2001
From: Andreas Sturmlechner <asturm@gentoo.org>
Date: Fri, 13 Apr 2018 23:16:52 +0200
Subject: [PATCH] Fix build with Qt 5.11_beta3 (dropping qt5_use_modules)

Also replace automoc4_add_library with add_library.
---
 src/CMakeLists.txt | 8 ++++++--
 1 file changed, 6 insertions(+), 2 deletions(-)

diff --git a/src/CMakeLists.txt b/src/CMakeLists.txt
index 47427b2..f91975e 100644
--- a/src/CMakeLists.txt
+++ b/src/CMakeLists.txt
@@ -80,8 +80,12 @@ if(APPLE)
         video/mac/vlcmacwidget.mm)
 endif(APPLE)
 
-automoc4_add_library(phonon_vlc MODULE ${phonon_vlc_SRCS})
-qt5_use_modules(phonon_vlc Core Widgets)
+add_library(phonon_vlc MODULE ${phonon_vlc_SRCS})
+if(PHONON_BUILD_PHONON4QT5)
+    target_link_libraries(phonon_vlc Qt5::Core Qt5::Widgets)
+else()
+    target_link_libraries(phonon_vlc ${QT_QTCORE_LIBRARY} ${QT_QTGUI_LIBRARY})
+endif()
 
 set_target_properties(phonon_vlc PROPERTIES
     PREFIX ""
-- 
2.17.0

